using Demo.Domain.Models;

namespace Demo.Domain.UseCase
{
    public interface IPresenceUseCase
    {
        List<Presence> GetPresenceByGroup(int groupID);
        List<Presence> GetPresenceByGroupByTime(int groupID, DateOnly date);
        bool GeneratePresence(int firstLesson, int lastLesson, int groupID, DateOnly date);
    }
}