using Demo.Domain.Models;

namespace Demo.Data.Repository
{
    public interface IUserRepository
    {
        List<UserLocalEntity> GetAllUser();
        bool RemoveUserByGuid(Guid userGuid);
        UserLocalEntity? UpdateUserById(UserLocalEntity userUpdateLocalEntity);
        UserLocalEntity? GetUserById(Guid userGuid);
    }
}